Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils
Class SystemUtils

    java.lang.Object
      org.apache.ode.utils.SystemUtils

    public class SystemUtils

extends java.lang.Object

Extensions for java.lang.System

Constructor Summary
`SystemUtils()`

Method Summary
`static java.lang.String` | `fileSeparator()`
`static java.lang.String` | `javaClassPath()`
`static java.lang.String` | `javaClassVersion()`
`static java.lang.String` | `javaHome()`
`static java.lang.String` | `javaLibraryPath()`
`static java.lang.String` | `javaTemporaryDirectory()`
`static java.lang.String` | `javaVendor()`
`static java.lang.String` | `javaVersion()`
`static java.lang.String` | `lineSeparator()`
`static java.lang.String` | `operatingSystemArchitecture()`
`static java.lang.String` | `operatingSystemName()`
`static java.lang.String` | `operatingSystemVersion()`
`static java.lang.String` | `pathSeparator()`
`static java.lang.String` | `replaceProperties(java.lang.String str, java.util.regex.Pattern pattern, java.util.Map values)` Match the received string against the given pattern, and replace each match by the value associated to the first group of the match (group(1)).
`static java.lang.String` | `replaceSystemProperties(java.lang.String str)` Replace system property values in the given String using the ${system.property} convention.
`static java.lang.String` | `userDirectory()`
`static java.lang.String` | `userHome()`
`static java.lang.String` | `userName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemUtils

    public SystemUtils()

Method Detail

### javaVersion

    public static java.lang.String javaVersion()

  See Also:
    `System.getProperties()`

### javaVendor

    public static java.lang.String javaVendor()

  See Also:
    `System.getProperties()`

### javaHome

    public static java.lang.String javaHome()

  See Also:
    `System.getProperties()`

### javaClassVersion

    public static java.lang.String javaClassVersion()

  See Also:
    `System.getProperties()`

### javaClassPath

    public static java.lang.String javaClassPath()

  See Also:
    `System.getProperties()`

### javaTemporaryDirectory

    public static java.lang.String javaTemporaryDirectory()

  See Also:
    `System.getProperties()`

### javaLibraryPath

    public static java.lang.String javaLibraryPath()

  See Also:
    `System.getProperties()`

### operatingSystemArchitecture

    public static java.lang.String operatingSystemArchitecture()

  See Also:
    `System.getProperties()`

### operatingSystemName

    public static java.lang.String operatingSystemName()

  See Also:
    `System.getProperties()`

### operatingSystemVersion

    public static java.lang.String operatingSystemVersion()

  See Also:
    `System.getProperties()`

### fileSeparator

    public static java.lang.String fileSeparator()

  See Also:
    `System.getProperties()`

### pathSeparator

    public static java.lang.String pathSeparator()

  See Also:
    `System.getProperties()`

### lineSeparator

    public static java.lang.String lineSeparator()

  See Also:
    `System.getProperties()`

### userName

    public static java.lang.String userName()

  See Also:
    `System.getProperties()`

### userHome

    public static java.lang.String userHome()

  See Also:
    `System.getProperties()`

### userDirectory

    public static java.lang.String userDirectory()

  See Also:
    `System.getProperties()`

### replaceSystemProperties

    public static java.lang.String replaceSystemProperties(java.lang.String str)

  Replace system property values in the given String using the ${system.property} convention. e.g., "The java version is ${java.version}" ==> "The java version is 1.5.0_11"

### replaceProperties

    public static java.lang.String replaceProperties(java.lang.String str,
                                                     java.util.regex.Pattern pattern,
                                                     java.util.Map values)

  Match the received string against the given pattern, and replace each match by the value associated to the first group of the match (group(1)).
  If there's no value in the map, no substitution is made.

  There's one constraint on the regex pattern, it should capture at least one group (i.e. match.groupe(1) should not be null). The value of this group is used to retrieved the replacement value from the map. For instance: pattern = "\\$\\{([^\\}]+)\\}"

  Parameters:
    `str` -
    `pattern` -
    `values` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD